Bug 494063 - Please, fix ath5k driver with patch in url
Please, fix ath5k driver with patch in url
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
http://www.fi.muni.cz/~xslaby/sklad/a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 19:32 EDT by Trever Adams
Modified: 2009-04-13 13:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 13:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Refrenced patch (67 bytes, text/plain)
2009-04-10 20:22 EDT, Chuck Ebbert
no flags Details

  None (edit)
Description Trever Adams 2009-04-03 19:32:40 EDT
Description of problem:
I have been using the nasty madwifi driver for a long time. From all that I am reading a one liner was missing in 2.6.29 that would allow me to use the ath5k driver in the kernel. Please, include this patch soon and I will be free of madwifi.

Version-Release number of selected component (if applicable):
2.6.29.* up to and including todays.
Comment 1 Chuck Ebbert 2009-04-10 20:22:49 EDT
Created attachment 339144 [details]
Refrenced patch

Patch is not even in wireless-testing yet.
Comment 2 Chuck Ebbert 2009-04-10 20:26:33 EDT
--- a/drivers/net/wireless/ath5k/base.c
+++ b/drivers/net/wireless/ath5k/base.c
@@ -497,6 +497,7 @@ ath5k_pci_probe(struct pci_dev *pdev,
 
 	hw->wiphy->interface_modes =
 		BIT(NL80211_IFTYPE_STATION) |
+		BIT(NL80211_IFTYPE_AP) |
 		BIT(NL80211_IFTYPE_ADHOC) |
 		BIT(NL80211_IFTYPE_MESH_POINT);
Comment 3 John W. Linville 2009-04-13 13:08:42 EDT
<linville> does ath5k work in AP mode?  what is missing?
<bcopeland> linville: the AP bit, and an annoying (harmless) message about the beacon queue
<bcopeland> it should probably just be enabled so any remaining bugs just get worked out
<bcopeland> I haven't thoroughly tested it, but it did beacon and I could associate
<bcopeland> can change "beacon queue %u didn't stop" to ATH5K_DEBUG to get rid of the warning
<bcopeland> oh and the patch already in w-t for channel limiting is needed for hostapd to start
Comment 4 John W. Linville 2009-04-13 13:10:08 EDT
Despite whatever seems positive in comment 3, it also indicates that what we have in 2.6.29 is not ready for AP mode.

Note You need to log in before you can comment on or make changes to this bug.